import Button, {
  ButtonIcon as Icon,
  ButtonLabel,
} from 'components/button';
import {AlertController} from 'components/alert';

export default {
  component: 'Button',
  useCases: [
    {
      description: 'A Simple Button',
      render: function() {
        const props = {
          a: 1,
          b: 1,
        };
        return <Button>
          Hello world!
          Meh
        </Button>;
      },
    },
    {
      description: 'A Complicated Button',
      render: function() {
        return <Button><Icon /><ButtonLabel>Button button button</ButtonLabel></Button>;
      },
    },
  ],
};
